package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LoginPMEFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.pages.EmissaoCardapioDiaPage;
import com.javaseleniumtemplate.pages.MainPage;
import com.javaseleniumtemplate.pages.TipodeCardapioPage;
import org.testng.annotations.Test;

public class EmissaoCardapioDiaTest extends TestBase {
    MainPage mainPage;
    MainFlows mainFlows;
    EmissaoCardapioDiaPage emissaocardapiodiapage;
    LoginPMEFlows loginpmeflows;

    //Tests
    @Test
    public void adicionartipodecardapio() {
        mainPage = new MainPage();

        loginpmeflows = new LoginPMEFlows();
        mainFlows = new MainFlows();
        emissaocardapiodiapage = new EmissaoCardapioDiaPage();

        String usuario = "francielly.automacao";
        String senha = "Teknisa2023";

        loginpmeflows.efetuarloginpme(usuario, senha);
        emissaocardapiodiapage.AcessarTela();
        emissaocardapiodiapage.PreencherFiltros();
        emissaocardapiodiapage.MarcarOpcoes();
        emissaocardapiodiapage.GerarPDF();
    }
}
